All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
finite_diff_gradient.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename F >
void | stan::math::finite_diff_gradient (const F &f, const Eigen::Matrix< double,-1, 1 > &x, double &fx, Eigen::Matrix< double,-1, 1 > &grad_fx, const double epsilon=1e-03)
| Calculate the value and the gradient of the specified function at the specified argument using finite difference. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.